#pragma once

// ===========================================================================
//  CBalloonKeyAttachment							   CBalloonKeyAttachment 
// ===========================================================================
//	Allows the "Help" key to toggle balloon help off and on. 
//
//	Last update: Paul Robichaux <paul@ljl.com>, 5/16/96
//
//  1996 Paul Robichaux. All rights reserved. Free for use in noncommercial or 
//  shareware products; contact author for other uses. As a courtesy, please send
//  me bug reports, updates, or improvement suggestions if you have 'em.

class LAttachment;

class CBalloonKeyAttachment : public LAttachment
{
	public:
		CBalloonKeyAttachment();
		~CBalloonKeyAttachment();
		void	ExecuteSelf(MessageT inMessage, void *ioParam);
	private:
		Boolean mBalloonState;
};
